autofs-5.0.6 - fix devce ioctl alloc path check

From: Ian Kent <ikent@redhat.com>

The errno error should be set in alloc_dev_ioctl_path() if the passed
in path in NULL.
---

 CHANGELOG           |    1 +
 lib/dev-ioctl-lib.c |    4 +++-
 2 files changed, 4 insertions(+), 1 deletions(-)


diff --git a/CHANGELOG b/CHANGELOG
index 1aab60b..99c31a0 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -60,6 +60,7 @@
 - fix umount recovery of busy direct mount.
 - fix offset mount point directory removal.
 - fix remount of multi mount.
+- fix devce ioctl alloc path check.
 
 28/06/2011 autofs-5.0.6
 -----------------------
diff --git a/lib/dev-ioctl-lib.c b/lib/dev-ioctl-lib.c
index 36d4df4..85b3272 100644
--- a/lib/dev-ioctl-lib.c
+++ b/lib/dev-ioctl-lib.c
@@ -270,8 +270,10 @@ static struct autofs_dev_ioctl *alloc_dev_ioctl_path(int ioctlfd, const char *pa
 	struct autofs_dev_ioctl *ioctl;
 	size_t size, p_len;
 
-	if (!path)
+	if (!path) {
+		errno = EINVAL;
 		return NULL;
+	}
 
 	p_len = strlen(path);
 	size = sizeof(struct autofs_dev_ioctl) + p_len + 1;
